.tingle-content-wrapper {
    filter: blur(8px);
}

.tingle-modal {
    &-box__content {
        > * {
            max-width: 100%;
            width: 100%;
        }
    }
}

.tingle-modal--image {
    overflow-y: scroll;

    .tingle-modal-box {
        max-width: 700px;
        width: auto;
    }
}

.tingle-modal--template {
    .tingle-modal-box {
        @extend .container;
        padding: 0;
        background-color: $light-purple;

        &__content {
            padding:  46px 30px 49px;
        }
    }
}

.tingle-modal--small {
    .tingle-modal-box {
        max-width: 430px;
        background-color: #f7f7f7;
        
        &__content {
            padding: 41px 50px 49px;
        }
    }
}

.tingle-modal--video {
    padding: 40px 8px;
    @media (max-width: 540px) {
        display: flex;
        padding-top: 0;
    }

    .tingle-modal-box {
        line-height: 0;
        width: 100%;
        max-width: 899px;
    }
    .tingle-modal-box__content {
        padding: 0;
        position: relative;
        width: 100%;
        height: 0;
        overflow: hidden;
        padding-top: 56.25%;

        iframe {
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
        }
    }

    .tingle-modal__close {
        display: none;
    }
}

.modal-content {
	display: none;
}

.popup {
    &__title {
        margin: 0;
        margin-bottom: 17px;
        font-family: $font-geometria;
        font-size: 32px;
        font-weight: 700;
        letter-spacing: -0.01em;
    }

    &-callback {
        .form input:not([type=checkbox]) {
            padding: 16px 25px 15px;
            font-family: $font-geometria;
            font-weight: 400;
            font-size: 15px;
            letter-spacing: -0.01em;
        }
    }

    .feedback-form {
        .form-field--disclaimer {
            padding-right: 15px;
            .form__disclaimer {
                margin: 0;
                font-size: 13px;
                line-height: (18/13);
            }
            
        }
        .form-field--submit {
            padding-left: 0;
            @include md {
                padding-left: 15px;
            }
        }
    }

    // &-feedback {
    //     &__content {
    //         margin: 0;
    //         margin-bottom: 10px;
    //         > .form-field {
    //             margin: 0;
    //             &:first-child {
    //                 padding: 0;
    //                 margin-top: -24px;
    //             }
    //             > .form-field {
    //                 margin-top: 24px;
    //                 margin-bottom: 0;
    //             }
    //         }
    //     }

    //     &__footer {
    //         margin: 0;
    //         align-items: center;

    //         .form-field {
    //             margin-top: 10px;
    //             margin-bottom: 10px;
    //         }

    //         .form-field--checkbox {
    //             margin-right: auto;
                
    //             label {
    //                 font-size: 13px;
    //                 line-height: (18/13);
    //             }
    //             .checkbox-imitator {
    //                 top: 8px;
    //             }
    //         }
    //         .form-field--disclaimer {
    //             padding-left: 0;
    //             .form__disclaimer {
    //                 margin: 0;
    //                 font-size: 13px;
    //                 line-height: (18/13);
    //             }
    //         }

    //         .form-field--submit {
    //             padding-left: 0;
    //         }
    //     }
    // }

    &--dark {
        color: white;

        .section-title__caption {
            color: white;
        }
        
        .form-field {
            color: white;
        }

        a {
            color: white;
        }
    }
}